Skip to main content
`Ctrl`+`K`

# PetscLogStateGetNumEvents

Get the number of registered events in a logging state.

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateGetNumEvents(PetscLogState state, PetscInt *numEvents)

Not collective

## Input Parameter

- state - a `PetscLogState`

## Output Parameter

- numEvents - the number of registered `PetscLogEvent`s

## See Also

Profiling, `PetscLogState`, `PetscLogStateEventRegister()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages